%define _version        3.2.6
%define _patchlevel     p14
%define _release        1
%define disttag         .sl3
%define repotag         .lsl

Name: maui
Version: %{_version}%{_patchlevel}
Release: %{_release}%{disttag}%{repotag}
Source0: http://www.clusterresources.com/downloads/maui/maui-%{version}.tar.gz
Source1: maui-init.d.sh
Source2: maui.cfg
Source3: maui.sysconfig
# Increase the number of queues we can cope with.
Patch1: maui_max_mclass_patch
# Increase the number of queued jobs we can cope with.
Patch2: maui_max_mjobs2_patch
Patch3: scale-fscalc.patch
Summary: The Maui supercluster scheduler
Copyright: unknown
Group: System/Daemons
Packager: Steve Traylen <s.traylen@rl.ac.uk>
BuildRoot: /var/tmp/maui-%{version}-root
BuildRequires: torque-devel


%package client
Requires: maui = %{version}-%{release}
Summary: Client for the MAUI scheduler from SuperCluster.org
Group: System/Tools

%package server
Requires: maui = %{version}-%{release}
Summary: Server for the MAUI scheduler from SuperCluster.org
Group: System/Tools

%package devel
Summary: Libary and header files for maui.
Group: System/Tools

%description
MAUI is the scheduler from SuperCluster.org

%description client
MAUI is the scheduler from SuperCluster.org

%description server
MAUI is the scheduler from SuperCluster.org

%description devel
MAUI is the scheduler from SuperCluster.org



%prep
%setup -q 
%patch1 -p1
%patch2 -p1
#%patch3 -p1

%build


%configure --with-spooldir=%{_var}/spool/maui
make 

%install
make install \
       INST_DIR=${RPM_BUILD_ROOT}%{_prefix} \
       MSCHED_HOME=${RPM_BUILD_ROOT}%{_var}/spool/maui


mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig


cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/init.d/maui
chmod 0755 ${RPM_BUILD_ROOT}/etc/init.d/maui
cp %{SOURCE2} ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg
chmod 0644 ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/sysconfig/maui

%clean

%files 
%defattr(-,root,root)
%config(noreplace) /var/spool/maui/maui.cfg
%config(noreplace) /var/spool/maui/maui-private.cfg

%files client
%attr(0755,root,root) /usr/bin/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) /etc/init.d/maui
%attr(0755,root,root) /usr/sbin/maui
%dir /var/spool/maui/stats
%dir /var/spool/maui/traces
%dir /var/spool/maui/tools
%dir /var/spool/maui/spool
%config(noreplace) /etc/sysconfig/maui

%files devel
%attr(0644,root,root) /usr/include/moab.h
%attr(0644,root,root) /usr/lib/libmcom.a
%attr(0644,root,root) /usr/lib/libmoab.a

%changelog
* Thu Jan 19 2006 Lawrence Lowe L.S.Lowe@bham.ac.uk
- just upgrade to patch14
* Wed Nov 16 2005 Steve Traylen <s.traylen@rl.ac.uk
- First change log
- Make init.d script more LSB complient.

